Subject: Re: bug#14319: Abort in ns_select - `accept-process-output' in menu

From: David Reitter <[email-masked]>
Date: Fri, 8 Jan 2016 09:13:56 -0500

This no longer reproduces (with an R process as the first in process-list).  The bug may have been fixed.

> On Dec 25, 2015, at 7:33 PM, David Reitter <[email-masked]> wrote:
> 
> I will see if I can reproduce it once I get back to a real computer in January. 
> 
> On Friday, December 25, 2015, Lars Ingebrigtsen <[email-masked]> wrote:
> David Reitter <[email-masked]> writes:
> 
> > X-Debbugs-CC: Robert Goldman <[email-masked]>
> >
> > I received the crash report below from a user.
> > After some inspection, I think this happens in ns_select (nsterm:3748):
> >
> >   if (++apploopnr != 1)
> >     {
> >       emacs_abort ();
> >     }
> >
> > The code below actually reproduces a crash similar to this (when opening a menu after evaluating the code), even though I have no idea where actual code would do such a thing.  I think the reporting user has SLIME installed.
> >
> > (define-key-after menu-bar-file-menu [kill-buffer]
> >   `(menu-item "test"
> >             'test-menu
> >             :enable (accept-process-output (first (process-list)) 0 100))
> >   'separator-save)
> 
> Is this still a problem in Emacs 25?
> 
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no